export interface ErrorStateProps {
    message: string;
    errorId?: string;
    onRetry?: () => void;
    onCopyError?: () => void;
    variant?: 'page' | 'panel' | 'inline';
}
declare function ErrorState({ message, errorId, onRetry, variant, }: ErrorStateProps): import("react/jsx-runtime").JSX.Element;
declare namespace ErrorState {
    var displayName: string;
}
export default ErrorState;
